#!/bin/bash   
#     
# PINsafe BACKUP PURGE PROCESS
# Written by Raymond Butler - Swivel Secure Ltd
# DATE: 21/11/2007  
#
# 25.10.09 Updated script to remove the find rm command, as it was deleting 
#          entries from the archive itself (RA)
# 25.10.09 Changed PURGE_LOG file name, and added .log extension (RA)
#
#
# Version 1.02
################################################################################

PURGE_LOG="/backups/purge.`date +%d%m%y.$$`.log"

p_arch=`grep "archives" /etc/pinsafe.conf|cut -d\= -f2`
p_logs=`grep "logs" /etc/pinsafe.conf|cut -d\= -f2`

# Purge Logs
find /backups -type f -name "*.log" -mtime +$p_logs -exec rm -f {} \;
find /backups -type f -name "*.info" -mtime +$p_logs -exec rm -f {} \;

# Purge Archives
find /backups -type f -name "*.gz" -mtime +$p_arch -exec ls {} \; >$PURGE_LOG
find /backups -type f -name "*.gz" -mtime +$p_arch -exec rm -f {} \;

# Remove archive container folder
for file in `cat $PURGE_LOG`; do
 FILENAME=`echo $file|cut -d\_ -f1`
 rm -r -f $FILENAME
done

rm -f $PURGE_LOG
